/*
 *  convert.h - string conversion functions
 *  Copyright (c)2005 Mike Karas OM4AA <mike.om4aa@gmail.com>
 *  Copyright (c)2009 Ladislav Vaiz OK1ZIA <ok1zia@nagano.cz>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef _CONVERT_H
#define _CONVERT_H

#include <stdint.h>
#include "osdep.h"

#define BAND_NUM	16

#define MAX_CATEGS		50
#define MAX_CATPSECT	100

struct CATEG {
	char psect[MAX_CATPSECT];
	uint8_t band;					// 0 - ALL
	char name[100];
};			// 0 - check log

extern float band2freq[BAND_NUM];
extern int band2repairlimit[BAND_NUM];

extern int band2lp[BAND_NUM];
extern int bandcat2lp[MAX_CATEGS][MAX_CATEGS];

extern int band2qrp[BAND_NUM];
extern int bandcat2qrp[MAX_CATEGS][MAX_CATEGS];

extern int strictlp;
extern struct CATEG categs[MAX_CATEGS];
extern int num_categs;


char *strupr(char *s);
int stricmp(const char *s1, const char *s2);
#ifndef strncmpi
int strncmpi(char *t1, char *t2, int n);
#endif
void float_print(float f, char *text3);
uint8_t str2band(char *cmd_arg);
char str2cat(char *psect, uint8_t band);
uint32_t loc2num(char *loc);
char *num2loc(uint32_t num, char *loc);
char *parse(char **text);
char *band2str(char *buf, int band);
char *my_strcasestr(const char *phaystack, const char *pneedle);

#endif /* _CONVERT_H */
